The "Delete Product by ID" API allows deleting a specific product using its unique identifier. Use this endpoint to remove a product from the system.

http
DELETE https://services.leadconnectorhq.com/products/{productId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
productIdstringYes6578278e879ad2646715ba9cID or the slug of the product that needs to be returned

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes6578278e879ad2646715ba9caccount Id
sendWishlistStatusbooleanNoTrueParameter which will decide whether to show the wishlisting status of products

Responses

200 - Successful response
  • status (boolean, required): returns true if the product is successfully deleted Example: True

json
{
  "status": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/products/YOUR_productId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?